import database_connector
from flask import Flask, request, render_template, session, redirect, url_for, flash


"""
pas de locatie id aan zoals weergeven in moderator scherm
"""
locatieid = 1


"""
test var, het het nogmaal gesproken op False
"""
debug = False


"""
database objecten, om minder te typen
"""
conn = database_connector.conn
cur = database_connector.cur


"""
stel flask in
"""
app = Flask(__name__)


def func_huidigelocatie():
    cur.execute('SELECT * FROM locaties WHERE locatieid = (%s)', [locatieid])
    return cur.fetchone()

def func_getlocaleberichten():
    cur.execute('SELECT berichten.bericht, berichten.naamposter FROM berichten WHERE locatieid = (%s) AND '
                'statusid = 5 ORDER BY datumontvangen DESC LIMIT 25', [locatieid])
    return cur.fetchall()

def func_getallberichten():
    cur.execute('SELECT berichten.bericht, berichten.naamposter, locaties.naam FROM berichten '
                'LEFT OUTER JOIN locaties ON berichten.locatieid = locaties.locatieid '
                'WHERE statusid = 5 ORDER BY datumontvangen DESC LIMIT 25', [locatieid])
    return cur.fetchall()


@app.route('/')
def root():
    locatie = func_huidigelocatie()
    localeberichten = func_getlocaleberichten()
    allberichten = func_getallberichten()
    return render_template('scherm.html', locatie=locatie, localeberichten=localeberichten, allberichten=allberichten)





if __name__ == "__main__":
    app.run('0.0.0.0', port=5002, debug=debug)